/* gvSIG. Geographic Information System of the Valencian Government
 *
 * Copyright (C) 2007-2008 Infrastructures and Transports Department
 * of the Valencian Government (CIT)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 */

package org.gvsig.fortunecookies.prov.fileprovider.impl;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import org.gvsig.fortunecookies.lib.spi.FortuneCookieProvider;
import org.gvsig.tools.service.spi.AbstractProvider;
import org.gvsig.tools.service.spi.ProviderServices;

public class FortuneCookieFileProvider extends AbstractProvider implements FortuneCookieProvider{

	public FortuneCookieFileProvider(ProviderServices providerServices) {
		super(providerServices);
	}

	public String getMessage() throws Exception {
		FileWriter fichero = null;
        String message_text = "";
        String sCadena;
        
        List<String> messages = null;
        
        try
        {
        	messages = new ArrayList<String>();
        	ClassLoader loader = this.getClass().getClassLoader();
    		URL url = loader.getResource("org/gvsig/fortunecookies/prov/fileprovider/impl/messages.txt");
    		FileReader fr = new FileReader(url.getFile());
    		BufferedReader bf = new BufferedReader(fr); 
    		sCadena = bf.readLine();
    		while (sCadena!=null){
    			while (sCadena!=null && sCadena.length()>0 && sCadena.charAt(0)!='\n'){ 
    				message_text = message_text +"\n"+ sCadena;
    				sCadena = bf.readLine();
    			}
    			messages.add(message_text);
    			message_text="";
    			sCadena = bf.readLine();
			}

        } catch (Exception e) {
            e.printStackTrace();
        } finally {
           try {
           if (null != fichero)
              fichero.close();
           } catch (Exception e2) {
              e2.printStackTrace();
           }
        }
        
        Random rand = new Random();
        int index = rand.nextInt(messages.size());
                
		return messages.get(index);
	}


	
}
