/* gvSIG. Geographic Information System of the Valencian Government
 *
 * Copyright (C) 2007-2008 Infrastructures and Transports Department
 * of the Valencian Government (CIT)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 */

package org.gvsig.fortunecookies.prov.fileprovider.impl;

import org.gvsig.tools.ToolsLocator;
import org.gvsig.tools.dynobject.DynClass;
import org.gvsig.tools.dynobject.DynObject;
import org.gvsig.tools.service.ServiceException;
import org.gvsig.tools.service.spi.Provider;
import org.gvsig.tools.service.spi.ProviderFactory;
import org.gvsig.tools.service.spi.ProviderServices;

public class FortuneCookieFileProviderFactory implements ProviderFactory{
	public static final String PROVIDER_NAME = "FortuneCookie.providers.file";
	public static final String PROVIDER_DESCRIPTION = "";
	
	private DynClass dynclass;

	public Provider create(DynObject parameters, ProviderServices services) throws ServiceException {
		return new FortuneCookieFileProvider(services);
	}

	public DynObject createParameters() {
		DynObject dynobject = ToolsLocator.getDynObjectManager().createDynObject(dynclass);
		dynobject.setDynValue("URL", "http://www.fullerdata.com/FortuneCookie/FortuneCookie.asmx/GetFortuneCookie");
		return dynobject;
	}

	public String getName() {
		return PROVIDER_NAME;
	}

	public void initialize() {
		dynclass = ToolsLocator.getDynObjectManager().createDynClass(PROVIDER_NAME, PROVIDER_DESCRIPTION);
		dynclass.addDynFieldString("URL").setMandatory(true);
	}



}
