/* gvSIG. Geographic Information System of the Valencian Government
 *
 * Copyright (C) 2007-2008 Infrastructures and Transports Department
 * of the Valencian Government (CIT)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 */

package org.gvsig.fortunecookies.swing;

import javax.swing.JPanel;

/**
 * 
 * Interface responsible of the window management to show the panel of the FortuneCookie application
 *
 * @see FortuneCookieUIManager
 * @see JFortuneCookieServicePanel
 */
public interface FortuneCookieWindowManager {

	public static final int MODE_DIALOG = 1;
	public static final int MODE_WINDOW = 2;
	public static final int MODE_TOOL = 3;
	
	/**
	 * Inserts a Panel in a window with a characteristic properties
	 * 
	 * @param panel JPanel with the content of the window
	 * @param title String with the title of the window
	 * @param mode int that defines the type of window
	 */
	public void showWindow(JPanel panel, String title, int mode);
	
}
