/* gvSIG. Geographic Information System of the Valencian Government
 *
 * Copyright (C) 2007-2008 Infrastructures and Transports Department
 * of the Valencian Government (CIT)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 */

package org.gvsig.fortunecookies.swing.impl;

import org.gvsig.fortunecookies.FortuneCookieLocator;
import org.gvsig.fortunecookies.FortuneCookieManager;
import org.gvsig.fortunecookies.FortuneCookieService;
import org.gvsig.fortunecookies.swing.FortuneCookieUIManager;
import org.gvsig.fortunecookies.swing.FortuneCookieWindowManager;
import org.gvsig.fortunecookies.swing.JFortuneCookieServicePanel;
import org.gvsig.tools.ToolsLocator;
import org.gvsig.tools.i18n.I18nManager;
import org.gvsig.tools.service.Service;

public class DefaultFortuneCookieUIManager implements FortuneCookieUIManager/*, ComponentListener*/{

	private FortuneCookieManager manager;
	private I18nManager i18nmanager = null;
	private FortuneCookieWindowManager windowManager;
	
	
	public DefaultFortuneCookieUIManager(){
		this.manager =  FortuneCookieLocator.getManager();
		this.i18nmanager = ToolsLocator.getI18nManager();
		this.windowManager =  new DefaultFortuneCookieWindowManager(); 
	}
	
	public JFortuneCookieServicePanel createFortuneCookie(FortuneCookieService cookie) {
		JFortuneCookieServicePanel panel = new DefaultJFortuneCookieServicePanel(this, cookie);
		return panel;
	}

	public FortuneCookieManager getManager() {
		return this.manager;
	}

	public JFortuneCookieServicePanel createFortuneCookie(Service cookie) {
		return createFortuneCookie((FortuneCookieService)cookie);
	}

	public String getTranslation(String string) {
		if(this.i18nmanager==null){
			return string;
		}
		return this.i18nmanager.getTranslation(string);
	}
	

	public void registerWindowManager(FortuneCookieWindowManager manager) {
		this.windowManager = manager;
	}
	
	public FortuneCookieWindowManager getWindowManager() {
		return this.windowManager;
	}
}